Share via


Access Connectors - List By Subscription

Gets all the Azure Databricks Access Connectors within a subscription.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Databricks/accessConnectors?api-version=2026-01-01

URI Parameters

Name In Required Type Description
subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

AccessConnectorListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Lists all the Azure Databricks Access Connectors within a subscription.

Sample request

GET https://management.azure.com/subscriptions/11111111-1111-1111-1111-111111111111/providers/Microsoft.Databricks/accessConnectors?api-version=2026-01-01

Sample response

{
  "value": [
    {
      "name": "myAccessConnector1",
      "type": "Microsoft.Databricks/accessConnectors",
      "id": "/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg1/providers/Microsoft.Databricks/accessConnectors/myAccessConnector1",
      "identity": {
        "type": "SystemAssigned",
        "principalId": "7ad2bae1-37d0-413e-91f8-b0b7bef807fc",
        "tenantId": "e3fe3f22-4b98-4c04-82cc-d8817d1b17da"
      },
      "location": "West US",
      "properties": {
        "provisioningState": "Succeeded",
        "referedBy": []
      },
      "tags": {}
    },
    {
      "name": "myAccessConnector2",
      "type": "Microsoft.Databricks/accessConnectors",
      "id": "/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg1/providers/Microsoft.Databricks/accessConnectors/myAccessConnector2",
      "identity": {
        "type": "SystemAssigned",
        "principalId": "5619ff16-afe1-47e5-ae67-8393c6c3223d",
        "tenantId": "e3fe3f22-4b98-4c04-82cc-d8817d1b17da"
      },
      "location": "West US",
      "properties": {
        "provisioningState": "Succeeded",
        "referedBy": []
      },
      "tags": {}
    },
    {
      "name": "myAccessConnector3",
      "type": "Microsoft.Databricks/accessConnectors",
      "id": "/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg2/providers/Microsoft.Databricks/accessConnectors/myAccessConnector3",
      "identity": {
        "type": "SystemAssigned",
        "principalId": "04b25430-8db1-48a0-9c2f-32270ed63eef",
        "tenantId": "e3fe3f22-4b98-4c04-82cc-d8817d1b17da"
      },
      "location": "West US",
      "properties": {
        "provisioningState": "Succeeded",
        "referedBy": []
      },
      "tags": {}
    },
    {
      "name": "myAccessConnector4",
      "type": "Microsoft.Databricks/accessConnectors",
      "id": "/subscriptions/11111111-1111-1111-1111-111111111111/resourceGroups/rg3/providers/Microsoft.Databricks/accessConnectors/myAccessConnector4",
      "identity": {
        "type": "SystemAssigned",
        "principalId": "4856ceed-0a99-4df7-b9fc-35603650af06",
        "tenantId": "e3fe3f22-4b98-4c04-82cc-d8817d1b17da"
      },
      "location": "West US",
      "properties": {
        "provisioningState": "Succeeded",
        "referedBy": []
      },
      "tags": {}
    }
  ]
}

Definitions

Name Description
AccessConnector

Information about Azure Databricks Access Connector.

AccessConnectorListResult

The response of a AccessConnector list operation.

AccessConnectorProperties
ErrorDetail

Error details.

ErrorInfo

The code and message for an error.

ErrorResponse

Contains details when the response code indicates an error.

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

ProvisioningState

Provisioning status of the workspace.

UserAssignedIdentity

User assigned identity properties

AccessConnector

Information about Azure Databricks Access Connector.

Name Type Description
id

string

Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

identity

ManagedServiceIdentity

The managed service identities assigned to this resource.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

AccessConnectorProperties

Azure Databricks Access Connector properties

tags

object

Resource tags.

type

string

The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

AccessConnectorListResult

The response of a AccessConnector list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

AccessConnector[]

The AccessConnector items on this page

AccessConnectorProperties

Name Type Description
provisioningState

ProvisioningState

Provisioning status of the Access Connector.

referedBy

string[]

List of workspaces referring this Access Connector.

ErrorDetail

Error details.

Name Type Description
code

string

The error's code.

message

string

A human readable error message.

target

string

Indicates which property in the request is responsible for the error.

ErrorInfo

The code and message for an error.

Name Type Description
code

string

A machine readable error code.

details

ErrorDetail[]

error details.

innererror

string

Inner error details if they exist.

message

string

A human readable error message.

ErrorResponse

Contains details when the response code indicates an error.

Name Type Description
error

ErrorInfo

The error details.

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

Name Type Description
principalId

string (uuid)

The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.

tenantId

string (uuid)

The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.

type

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

userAssignedIdentities

<string,  UserAssignedIdentity>

User-Assigned Identities
The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

Value Description
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

ProvisioningState

Provisioning status of the workspace.

Value Description
Accepted

Accepted

Running

Running

Ready

Ready

Creating

Creating

Created

Created

Deleting

Deleting

Deleted

Deleted

Canceled

Canceled

Failed

Failed

Succeeded

Succeeded

Updating

Updating

UserAssignedIdentity

User assigned identity properties

Name Type Description
clientId

string (uuid)

The client ID of the assigned identity.

principalId

string (uuid)

The principal ID of the assigned identity.